<template>
  <v-dialog v-model="value" persistent :max-width="maxWidth">
    <v-card :class="classCard">
      <v-card-title v-if="!!$slots.header" class="headline">
        <slot name="header" />
      </v-card-title>
      <v-card-text v-if="!!$slots.content">
        <slot name="content" />
      </v-card-text>
      <v-divider v-if="spacer" />
      <v-card-actions class="center">
        <v-spacer v-if="spacer" />
        <slot name="footer">
          <v-btn
            v-if="withCancel"
            color="error darken-1"
            class="pa-5"
            rounded
            @click="close()"
          >
            Cancelar
          </v-btn>
          <v-btn
            color="tway-violet"
            class="white--text pa-5"
            rounded
            @click="ok()"
          >
            Aceptar
          </v-btn>
        </slot>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<script>
export default {
  name: "Modal",
  props: {
    value: {
      type: [Boolean, undefined],
      required: true,
    },
    maxWidth: {
      type: String,
      default: undefined,
      required: false,
    },
    withCancel: {
      type: [Boolean, undefined],
      default: false,
      required: false,
    },
    classCard: {
      type: String,
      default: undefined,
      required: false,
    },
    spacer: {
      type: Boolean,
      default: false,
      required: false,
    },
  },
  methods: {
    close() {
      this.$emit("onClose");
    },
    ok() {
      this.$emit("ok");
    },
  },
};
</script>
